*( CHECKDB.CMD--Use AUTOCHK to)
*( check database integrity.)
SET MESSAGES OFF
SET ERROR MESSAGES OFF
DEBUG SET MESSAGES ON
DEBUG SET ERROR MESSAGES ON
WHILE #PI IS NOT NULL THEN
  WRITE 'Choose a database or press [Esc].'
  CHOOSE vdb FROM #DATABASE +
    CLEAR FOOTING
  IF vdb IN ('[Esc]','HELP') +
    OR vdb IS NULL THEN
    BREAK
  ENDIF
  WRITE 'Checking database for errors...'
  DISCONNECT
  SET ERROR VAR evar
  ZIP AUTOCHK &vdb /n
  SET VAR e1 = .evar
  IF e1 > 53 AND e1 <> 456 THEN
    WRITE 'AUTOCHK found errors in' .vdb
    BEEP
  ENDIF
  IF e1 > 0 AND e1 < 54 OR e1 = 456 THEN
    WRITE 'AUTOCHK did not run.'
    BEEP
  ENDIF
  IF e1 = 0 THEN
    WRITE 'No errors found in' .vdb
  ENDIF
ENDWHILE
CLEAR VAR e1, evar, vdb
RETURN

